classification
Title: Add options to distutils2.install and pysetup install to only download
Type: enhancement Stage: resolved
Components: Distutils2 Versions: Python 3.4, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, eric.araujo, michael.mulich, tarek, techtonik
Priority: normal Keywords:

Created on 2010-04-11 16:50 by eric.araujo, last changed 2014-03-13 00:58 by eric.araujo. This issue is now closed.

Messages (4)
msg102853 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-04-11 16:50
Distutils2 should have a command responsible for downloading distributions. This would factor it out of other code in one clear location and allow users to download for later installation.

If setup.cfg files grow options for extras, test-requires, build-requires and such specific kinds of dependencies, matching options would appear on the download (or get) command.

Side note: Is it okay to post this as a bug or should I rather mail distutils-sig first? Or mail them now?

Regards
msg102937 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-04-12 11:47
What would this command do precisely ? Are you thinking about a command that scans PyPI ?

why this would be a command btw ? downloading a distribution is not a final goal, imho.

Wouldn't it be simpler to have a simple function that provides this feature ? 

> Is it okay to post this as a bug or should I rather mail distutils-sig first? Or mail them now?


A feature request on the distutils2 component is fine. Although for topics that needs discussion, a round in the Mailing list is probably better to start.
msg103416 - (view) Author: anatoly techtonik (techtonik) Date: 2010-04-17 18:08
There is a ready-to-use public domain code with a progress bar if you'll need it.
http://pypi.python.org/pypi/wget/
msg163832 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 19:54
> downloading a distribution is not a final goal, imho.
> Wouldn't it be simpler to have a simple function that provides this feature ? 

The reasoning behind my request was that providing a way to do steps from the command-line is good.  pysetup install figures dependencies + downloads + builds and installs; I think it’s good to let user do each step at a time, or at separate time.  Packaging systems and installers like pip support this usage.

(I was mistaken in suggesting a command though; commands work in a project directory.)
History
Date User Action Args
2014-03-13 00:58:53eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2012-06-24 19:54:32eric.araujosettitle: Add a command to download distributions -> Add options to distutils2.install and pysetup install to only download
messages: + msg163832
versions: + 3rd party, Python 3.4, - Python 3.3
2011-06-09 22:29:13michael.mulichsetnosy: + michael.mulich
2010-08-12 18:24:25eric.araujosetnosy: + alexis
2010-04-17 18:08:01techtoniksetnosy: + techtonik
messages: + msg103416
2010-04-12 11:47:44tareksetmessages: + msg102937
2010-04-11 16:50:29eric.araujocreate